Bug 1123539 - [abrt] xscreensaver-gl-extras: set(): glknots killed by SIGSEGV
Summary: [abrt] xscreensaver-gl-extras: set(): glknots killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2cdc94f77acba5004fb2c4bbbfa...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-26 03:14 UTC by Steven Stern
Modified: 2015-06-29 21:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:45:46 UTC


Attachments (Terms of Use)
File: backtrace (21.56 KB, text/plain)
2014-07-26 03:14 UTC, Steven Stern
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-26 03:14 UTC, Steven Stern
no flags Details
File: core_backtrace (2.78 KB, text/plain)
2014-07-26 03:14 UTC, Steven Stern
no flags Details
File: dso_list (3.22 KB, text/plain)
2014-07-26 03:14 UTC, Steven Stern
no flags Details
File: environ (1.65 KB, text/plain)
2014-07-26 03:14 UTC, Steven Stern
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-26 03:14 UTC, Steven Stern
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-26 03:14 UTC, Steven Stern
no flags Details
File: maps (17.53 KB, text/plain)
2014-07-26 03:14 UTC, Steven Stern
no flags Details
File: open_fds (242 bytes, text/plain)
2014-07-26 03:14 UTC, Steven Stern
no flags Details
File: proc_pid_status (954 bytes, text/plain)
2014-07-26 03:14 UTC, Steven Stern
no flags Details
File: var_log_messages (528 bytes, text/plain)
2014-07-26 03:14 UTC, Steven Stern
no flags Details

Description Steven Stern 2014-07-26 03:14:44 UTC
Version-Release number of selected component:
xscreensaver-gl-extras-5.29-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        glknots -root
crash_function: set
executable:     /usr/libexec/xscreensaver/glknots
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 set at brw_blorp.cpp:71
 #1 brw_blorp_surface_info::set at brw_blorp.cpp:83
 #2 brw_blorp_clear_params::brw_blorp_clear_params at brw_blorp_clear.cpp:193
 #3 do_single_blorp_clear at brw_blorp_clear.cpp:506
 #4 brw_blorp_clear_color at brw_blorp_clear.cpp:591
 #5 brw_clear at brw_clear.c:243
 #6 draw_knot at ../../../hacks/glx/glknots.c:408
 #7 xlockmore_draw at ../../../hacks/xlockmore.c:488
 #8 run_screenhack_table at ../../hacks/screenhack.c:553

Comment 1 Steven Stern 2014-07-26 03:14:46 UTC
Created attachment 921099 [details]
File: backtrace

Comment 2 Steven Stern 2014-07-26 03:14:47 UTC
Created attachment 921100 [details]
File: cgroup

Comment 3 Steven Stern 2014-07-26 03:14:48 UTC
Created attachment 921101 [details]
File: core_backtrace

Comment 4 Steven Stern 2014-07-26 03:14:48 UTC
Created attachment 921102 [details]
File: dso_list

Comment 5 Steven Stern 2014-07-26 03:14:49 UTC
Created attachment 921103 [details]
File: environ

Comment 6 Steven Stern 2014-07-26 03:14:49 UTC
Created attachment 921104 [details]
File: exploitable

Comment 7 Steven Stern 2014-07-26 03:14:50 UTC
Created attachment 921105 [details]
File: limits

Comment 8 Steven Stern 2014-07-26 03:14:51 UTC
Created attachment 921106 [details]
File: maps

Comment 9 Steven Stern 2014-07-26 03:14:52 UTC
Created attachment 921107 [details]
File: open_fds

Comment 10 Steven Stern 2014-07-26 03:14:53 UTC
Created attachment 921108 [details]
File: proc_pid_status

Comment 11 Steven Stern 2014-07-26 03:14:53 UTC
Created attachment 921109 [details]
File: var_log_messages

Comment 12 Mamoru TASAKA 2014-07-28 04:00:14 UTC
Reassiging to mesa to ask for help.

Comment 13 Fedora End Of Life 2015-05-29 12:28:28 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 21:45:46 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.